Bug 114225 - gnome-terminal crashes when adding profile with "@" or "."
Summary: gnome-terminal crashes when adding profile with "@" or "."
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-24 18:11 UTC by Youssef Makki
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 20:10:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the debugging details from bug buddy (3.09 KB, text/plain)
2004-01-24 18:15 UTC, Youssef Makki
no flags Details
gnome-terminal-2.4.0.1-escape.patch (424 bytes, patch)
2004-02-16 23:47 UTC, Bart Martens
no flags Details | Diff

Description Youssef Makki 2004-01-24 18:11:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
When adding a profile via the menu, if the profile name contains the @
symbol or dots ".", gnome-terminal crashes. The profile IS added
however, shows up in the Edit list when accessed later.
I'll attach what the bug buddy says if it helps.


Version-Release number of selected component (if applicable):
gnome-terminal-2.4.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Select 'File - New Profile'
2. Add a profile with a name such as "foo@host" or "host.foo.bar"
3. Click 'Create'
    

Actual Results:  gnome-terminal crashes, however the profile is created.

Expected Results:  No crash, the profile editor should show up.

Additional info:

Comment 1 Youssef Makki 2004-01-24 18:15:07 UTC
Created attachment 97237 [details]
the debugging details from bug buddy

Comment 2 Bart Martens 2004-02-16 23:16:45 UTC
Known upstream, see:
http://bugzilla.gnome.org/show_bug.cgi?id=125091


Comment 3 Bart Martens 2004-02-16 23:47:30 UTC
Created attachment 97717 [details]
gnome-terminal-2.4.0.1-escape.patch

The patch Frederic Crozat submitted to
http://bugzilla.gnome.org/show_bug.cgi?id=122349 is also the solution for
*this* bug.

Comment 4 Miloslav Trmac 2004-02-17 20:10:50 UTC
The patch is present in 2.5.1-1 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.